EDIT - bug #9531

Add Names in OriginalSpelling to the delete configuration
03/15/2021 08:27 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal Found in Version:

Description

mail AM:

Es ist so: Arenaria cespitosa Ehrh. hat nicht nur eine Nom. Source sondern ist auch original spelling fir Arenaria caespitosa Ehrh.
und steht daher in der Nom. Source dieses Namens als Original Spelling. Daher wir A. cespitosa auch von der Nom. Source von A.
caespitosa Ehrh. referenziert. Das sind dann die Félle, in denen die Nom. Source NICHT vernachlassigt werden kann und es ist gut,
dass du das nicht I6schen kannst. Ich nehme an, du wolltest den Namen [6schen?

Derzeit musst du das so machen, wenn es wirklich gewollt ist: Gehe zu A. caespitosa und I6sche dort in der nom. source die Orignal
Spelling + save. Gehe dann zu A. cespitosa und I6sche den Namen. Das sollte dann gehen.

Ich nehme Katja in cc, da das ein Fall ist, den wir in den Name Delete (+ evtl. Taxon Delete) Konfigurator aufnehmen missen. Also
die Frage: Delete name even if used as original spelling for other name. Das ist &hnlich wie die Abfragen nach "even if Basionym"
etc., wird davon aber nicht mehr abgedeckt, weil nicht mehr als Name Relations gehandelt.

Associated revisions

Revision b2e8f49d - 03/16/2021 12:11 PM - Katja Luther
ref #9531: add original spelling to NameDeleteConfig and adapt handling in delete

Revision 57f556d1 - 03/16/2021 12:14 PM - Katja Luther

ref #9531: adapt wizards for name delete

Revision 4e7d237c - 03/31/2021 10:28 AM - Katja Luther

ref #9531: adapt error message for original spelling

History

#1 - 03/16/2021 12:14 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- Priority changed from New to Highest

this should be fixed, please review.

#2 - 03/16/2021 12:15 PM - Katja Luther
- % Done changed from 0 to 50

#3 - 03/30/2021 02:13 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 90

In the error message we should use "... original spelling" , not camel case.

Except for this the ticket can be closed.

#4 - 03/31/2021 10:33 AM - Katja Luther
- Status changed from Feedback to Closed

adapt the error message.

#5 - 03/31/2021 10:33 AM - Katja Luther
- % Done changed from 90 to 100
